<?php
function wp_abar_add_post_type() {
  $labels = array(
    'name' => _x(WP_ABAR_PLUGIN_NAME, 'post type general name', 'wp-abar'),
    'singular_name' => _x(WP_ABAR_PLUGIN_NAME, 'post type singular name', 'wp-abar'),
    'add_new' => _x('Add New', WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'add_new_item' => __('Add New '.WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'edit_item' => __('Edit '.WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'new_item' => __('New '.WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'all_items' => __('All '.WP_ABAR_PLUGIN_NAME.'s', 'wp-abar'),
    'view_item' => __('View '.WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'search_items' => __('Search '.WP_ABAR_PLUGIN_NAME, 'wp-abar'),
    'not_found' =>  __('No '.WP_ABAR_PLUGIN_NAME.'s found', 'wp-abar'),
    'not_found_in_trash' => __('No '.WP_ABAR_PLUGIN_NAME.' found in Trash', 'wp-abar'), 
    'parent_item_colon' => '',
    'menu_name' => __(WP_ABAR_PLUGIN_NAME, 'wp-abar')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true, 
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type('wp_abar', $args);
}
add_action( 'init', 'wp_abar_add_post_type' );
?>