<?php 
	add_filter('wp_footer', 'wp_abar_display_wp_action_bar', 100);
function wp_abar_display_wp_action_bar( ){
	global $post;
	$config = get_option('wp_abar_options');
	$cookie = $_COOKIE['hide_wp_abar'];
	
	if( is_front_page() && $config['homepage_wp_action_bar'] && $cookie != 1 ){
		$wp_action_bar_post = get_post( $config['homepage_wp_action_bar'] );
		$design = get_post_meta( $wp_action_bar_post->ID, '_type', true );
		$used_id = $config['homepage_wp_action_bar'];
		$to_show = 1;
	}
	
	if( ( is_archive() || is_category() ) && $config['archive_wp_action_bar'] && $cookie != 1 ){
		$wp_action_bar_post = get_post( $config['archive_wp_action_bar'] );
		$design = get_post_meta( $wp_action_bar_post->ID, '_type', true );
		$used_id = $config['archive_wp_action_bar'];
		$to_show = 1;
	}
	
	if( ( is_single() || is_page() ) && get_post_meta( $post->ID, '_hide_wp_action_bar', true ) != 'on' && $cookie != 1 ){
			if( get_post_meta( $post->ID, '_usewpactionbar', true ) == 0 ){
				$used_id = $config['default_wp_action_bar'];
				$wp_action_bar_post = get_post( $config['default_wp_action_bar'] );
				$design = get_post_meta( $wp_action_bar_post->ID, '_type', true );
			}else{
				$used_id = get_post_meta( $post->ID, '_usewpactionbar', true );
				$wp_action_bar_post = get_post( get_post_meta( $post->ID, '_usewpactionbar', true ) );
				$design = get_post_meta( $wp_action_bar_post->ID, '_type', true );
			}
		$to_show = 1;
	}

	if( get_post_type( $post ) == 'wp_abar' ) {
		$to_show = 2;
	}
	
		if( $to_show == 1   ) {
			// Variables
			$bdc = stripslashes(get_post_meta( $wp_action_bar_post->ID, '_bdcolor', true ));
			$bdcolor = ( !empty( $bdc ) ) ? 'border-top-color: '.stripslashes($bdc).'; ' : '' ;
			$bds = stripslashes( get_post_meta( $wp_action_bar_post->ID, '_bdstyle', true ) );
			$bdstyle = ( !empty( $bds ) ) ? 'border-top-style: '.stripslashes($bds).'; ' : '' ;
			$bdw = stripslashes(get_post_meta( $wp_action_bar_post->ID, '_bdwidth', true ));
			$bdwidth = ( !empty( $bdw ) ) ? 'border-top-width: '.stripslashes($bdw).'px; ' : '' ;
			$bgc = stripslashes(get_post_meta( $wp_action_bar_post->ID, '_bgcolor', true ));
			$bgcolor = ( !empty( $bgc ) ) ? 'background-color: '.stripslashes($bgc).'; ' : '' ;
			$bgi = stripslashes(get_post_meta( $wp_action_bar_post->ID, '_bgimg', true ));
			$bgimg = ( !empty( $bgi ) ) ? stripslashes($bgi) : '' ;
			// Design
			switch( $design ) {
				case "wp_abar_type_1":
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>
						<div class="block_content">'.stripslashes(wpautop($wp_action_bar_post->post_content)).'</div>
					</div>';
					break;
				case "wp_abar_type_2":
				// Specified variables
				$meta = get_post_custom( $wp_action_bar_post->ID );				
				$ar_url = ( !empty( $meta['_ar_url'][0] ) ) ? stripslashes($meta['_ar_url'][0]) : '' ;
				$ar_name = ( !empty( $meta['_ar_name'][0] ) ) ? stripslashes($meta['_ar_name'][0]) : '' ;
				$ar_email = ( !empty( $meta['_ar_email'][0] ) ) ? stripslashes($meta['_ar_email'][0]) : '' ;
				$ar_hidden = ( !empty( $meta['_ar_hidden'][0] ) ) ? html_entity_decode($meta['_ar_hidden'][0]) : '' ;
				$ar_email_label = ( !empty( $meta['_ar_email_label'][0] ) ) ? stripslashes($meta['_ar_email_label'][0]) : 'Primary email' ;
				$ar_name_label = ( !empty( $meta['_ar_name_label'][0] ) ) ? stripslashes($meta['_ar_name_label'][0]) : 'Your name' ;
				$ar_button_label = ( !empty( $meta['_ar_button_label'][0] ) ) ? stripslashes($meta['_ar_button_label'][0]) : 'Subscribe' ;
				$ar_btn_clr = ( !empty( $meta['_ar_btn_clr'][0] ) ) ? stripslashes($meta['_ar_btn_clr'][0]) : 'wp_abar_black' ;
				$ar_btn_style = ( !empty( $meta['_ar_btn_style'][0] ) ) ? stripslashes($meta['_ar_btn_style'][0]) : '' ;
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>';
					echo '<div class="block_content">'.wpautop( $wp_action_bar_post->post_content );
					echo '<div class="wp-abar-ar">
					<form action="'.$ar_url.'" method="POST" class="'.$ar_btn_style.'">';
					if( !empty( $ar_name ) ) {
					echo '<label class="add-on"><i class="icon-user"></i></label><input type="text" name="'.$ar_name.'" class="span2" id="slup-name" placeholder="'.$ar_name_label.'">';
					}
					echo '<label class="add-on"><i class="icon-envelope"></i></label><input type="text" name="'.$ar_email.'" class="span2" id="slup-email" placeholder="'.$ar_email_label.'">'.
					$ar_hidden.'
					<input type="submit" class="wp_abar_button_pl '.$ar_btn_clr.' '.$ar_btn_style.'" value="'.$ar_button_label.'">
					</form>
					</div></div>
					</div>';
					break;
				case "wp_abar_type_3":
				$meta = get_post_custom( $wp_action_bar_post->ID );
				$twitter = ( !empty( $meta['_twitter'][0] ) ) ? esc_url( $meta['_twitter'][0] ) : '' ;
				$facebook = ( !empty( $meta['_facebook'][0] ) ) ? esc_url( $meta['_facebook'][0] ) : '' ;
				$pinterest = ( !empty( $meta['_pinterest'][0] ) ) ? esc_url( $meta['_pinterest'][0] ) : '' ;
				$linkedin = ( !empty( $meta['_linkedin'][0] ) ) ? esc_url( $meta['_linkedin'][0] ) : '' ;
				$youtube = ( !empty( $meta['_youtube'][0] ) ) ? esc_url( $meta['_youtube'][0] ) : '' ;
				$rss = ( !empty( $meta['_rss'][0] ) ) ? esc_url( $meta['_rss'][0] ) : '' ;
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>
						<div class="block_content">'.$wp_action_bar_post->post_content;
					echo '<div class="wp-abar-social">';
					if( !empty( $twitter ) )
					echo '<a class="icon-twitter-sign icon-larger" href="'.$twitter.'"></a>';
					if( !empty( $facebook ) )
					echo '<a class="icon-facebook-sign icon-larger" href="'.$facebook.'"></a>';
					if( !empty( $pinterest ) )
					echo '<a class="icon-pinterest-sign icon-larger" href="'.$pinterest.'"></a>';
					if( !empty( $linkedin ) )
					echo '<a class="icon-linkedin-sign icon-larger" href="'.$linkedin.'"></a>';
					if( !empty( $youtube ) )
					echo '<a class="icon-youtube-sign icon-larger" href="'.$youtube.'"></a>';
					if( !empty( $rss ) )
					echo '<a class="icon-rss-sign icon-larger" href="'.$rss.'"></a>';
					echo '</div></div></div>';
					break;
			}
			
			// appearance things
			switch( $config['appearance'] ){
				case "immediately":
					echo '
					<script>
						if( readCookie( "hide_wp_abar" ) != 1 ){
							jQuery(".wp_abar_container").fadeIn();
						}
						
					</script>
					';
					break;
				case "second":
					echo '
					<script>	
						if( readCookie( "hide_wp_abar" ) != 1 ){		
															
							jQuery("document").ready(function() {
								jQuery(".wp_abar_container").hide().delay("'.$config["delay_time"].'000").fadeIn();			 
							});
						}
					</script>
					';
					break;
				case "down":
					echo '
					<script>	
						if( readCookie( "hide_wp_abar" ) != 1 ){
							/* Load DIV After Scrollbar Is Moved 100px */
							jQuery(window).scroll( function() {
								if ( jQuery(window).scrollTop() > 100 ) {
								   loadDiv2(); /* calls loadDiv2 Function below */
								}
							});
							/* the loadDiv2 function */
							function loadDiv2() {
								jQuery(".wp_abar_container").fadeIn("slow", function() {
									jQuery(this).fadeTo("slow", 1);
								});
							}
						}
					</script>
					';
					break;
			}	
			//
		}
		
		// Display for Preview only
		if( $to_show == 2 ) {
			// Variables
			$wp_action_bar_id = $post->ID;
			$bdc = stripslashes(get_post_meta( $wp_action_bar_id, '_bdcolor', true ));
			$bdcolor = ( !empty( $bdc ) ) ? 'border-top-color: '.stripslashes($bdc).'; ' : '' ;
			$bds = stripslashes( get_post_meta( $wp_action_bar_id, '_bdstyle', true ) );
			$bdstyle = ( !empty( $bds ) ) ? 'border-top-style: '.stripslashes($bds).'; ' : '' ;
			$bdw = stripslashes(get_post_meta( $wp_action_bar_id, '_bdwidth', true ));
			$bdwidth = ( !empty( $bdw ) ) ? 'border-top-width: '.stripslashes($bdw).'px; ' : '' ;
			$bgc = stripslashes(get_post_meta( $wp_action_bar_id, '_bgcolor', true ));
			$bgcolor = ( !empty( $bgc ) ) ? 'background-color: '.stripslashes($bgc).'; ' : '' ;
			$bgi = stripslashes(get_post_meta( $wp_action_bar_id, '_bgimg', true ));
			$bgimg = ( !empty( $bgi ) ) ? stripslashes($bgi) : '' ;
			// Design
			switch( $design ) {
				case "wp_abar_type_1":
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>
						<div class="block_content">'.stripslashes(wpautop($wp_action_bar_post->post_content)).'</div>
					</div>';
					break;
				case "wp_abar_type_2":
				// Specified variables
				$meta = get_post_custom( $wp_action_bar_id );				
				$ar_url = ( !empty( $meta['_ar_url'][0] ) ) ? stripslashes($meta['_ar_url'][0]) : '' ;
				$ar_name = ( !empty( $meta['_ar_name'][0] ) ) ? stripslashes($meta['_ar_name'][0]) : '' ;
				$ar_email = ( !empty( $meta['_ar_email'][0] ) ) ? stripslashes($meta['_ar_email'][0]) : '' ;
				$ar_hidden = ( !empty( $meta['_ar_hidden'][0] ) ) ? html_entity_decode($meta['_ar_hidden'][0]) : '' ;
				$ar_email_label = ( !empty( $meta['_ar_email_label'][0] ) ) ? stripslashes($meta['_ar_email_label'][0]) : 'Primary email' ;
				$ar_name_label = ( !empty( $meta['_ar_name_label'][0] ) ) ? stripslashes($meta['_ar_name_label'][0]) : 'Your name' ;
				$ar_button_label = ( !empty( $meta['_ar_button_label'][0] ) ) ? stripslashes($meta['_ar_button_label'][0]) : 'Subscribe' ;
				$ar_btn_clr = ( !empty( $meta['_ar_btn_clr'][0] ) ) ? stripslashes($meta['_ar_btn_clr'][0]) : 'wp_abar_black' ;
				$ar_btn_style = ( !empty( $meta['_ar_btn_style'][0] ) ) ? stripslashes($meta['_ar_btn_style'][0]) : '' ;
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>';
					echo '<div class="block_content">'.wpautop( $wp_action_bar_post->post_content );
					echo '<div class="wp-abar-ar">
					<form action="'.$ar_url.'" method="POST" class="'.$ar_btn_style.'">';
					if( !empty( $ar_name ) ) {
					echo '<label class="add-on"><i class="icon-user"></i></label><input type="text" name="'.$ar_name.'" class="span2" id="slup-name" placeholder="'.$ar_name_label.'">';
					}
					echo '<label class="add-on"><i class="icon-envelope"></i></label><input type="text" name="'.$ar_email.'" class="span2" id="slup-email" placeholder="'.$ar_email_label.'">'.
					$ar_hidden.'
					<input type="submit" class="wp_abar_button_pl '.$ar_btn_clr.' '.$ar_btn_style.'" value="'.$ar_button_label.'">
					</form>
					</div></div>
					</div>';
					break;
				case "wp_abar_type_3":
				$meta = get_post_custom( $wp_action_bar_id );
				$twitter = ( !empty( $meta['_twitter'][0] ) ) ? esc_url( $meta['_twitter'][0] ) : '' ;
				$facebook = ( !empty( $meta['_facebook'][0] ) ) ? esc_url( $meta['_facebook'][0] ) : '' ;
				$pinterest = ( !empty( $meta['_pinterest'][0] ) ) ? esc_url( $meta['_pinterest'][0] ) : '' ;
				$linkedin = ( !empty( $meta['_linkedin'][0] ) ) ? esc_url( $meta['_linkedin'][0] ) : '' ;
				$youtube = ( !empty( $meta['_youtube'][0] ) ) ? esc_url( $meta['_youtube'][0] ) : '' ;
				$rss = ( !empty( $meta['_rss'][0] ) ) ? esc_url( $meta['_rss'][0] ) : '' ;
				// Output design
					echo '<div id="'.$design.'" class="wp_abar_container '.$bgimg.'" style="'.$bdwidth.$bdstyle.$bdcolor.$bgcolor.'">';
					echo '<i id="wp-abar-close" class="icon-remove icon-larger"></i>
						<div class="block_content">'.$wp_action_bar_post->post_content;
					echo '<div class="wp-abar-social">';
					if( !empty( $twitter ) )
					echo '<a class="icon-twitter-sign icon-larger" href="'.$twitter.'"></a>';
					if( !empty( $facebook ) )
					echo '<a class="icon-facebook-sign icon-larger" href="'.$facebook.'"></a>';
					if( !empty( $pinterest ) )
					echo '<a class="icon-pinterest-sign icon-larger" href="'.$pinterest.'"></a>';
					if( !empty( $linkedin ) )
					echo '<a class="icon-linkedin-sign icon-larger" href="'.$linkedin.'"></a>';
					if( !empty( $youtube ) )
					echo '<a class="icon-youtube-sign icon-larger" href="'.$youtube.'"></a>';
					if( !empty( $rss ) )
					echo '<a class="icon-rss-sign icon-larger" href="'.$rss.'"></a>';
					echo '</div></div></div>';
					break;
			}
			
			// appearance things
			switch( $config['appearance'] ){
				case "immediately":
					echo '
					<script>
						if( readCookie( "hide_wp_abar" ) != 1 ){
							jQuery(".wp_abar_container").fadeIn();
						}
						
					</script>
					';
					break;
				case "second":
					echo '
					<script>	
						if( readCookie( "hide_wp_abar" ) != 1 ){		
															
							jQuery("document").ready(function() {
								jQuery(".wp_abar_container").hide().delay("'.$config["delay_time"].'000").fadeIn();			 
							});
						}
					</script>
					';
					break;
				case "down":
					echo '
					<script>	
						if( readCookie( "hide_wp_abar" ) != 1 ){
							/* Load DIV After Scrollbar Is Moved 100px */
							jQuery(window).scroll( function() {
								if ( jQuery(window).scrollTop() > 100 ) {
								   loadDiv2(); /* calls loadDiv2 Function below */
								}
							});
							/* the loadDiv2 function */
							function loadDiv2() {
								jQuery(".wp_abar_container").fadeIn("slow", function() {
									jQuery(this).fadeTo("slow", 1);
								});
							}
						}
					</script>
					';
					break;
			}	
			//
		}
		

}


?>