<?php
/*
Plugin Name: WP Action Bar
Plugin URI: http://onlinesuccesswithchris.com/
Version: 1.8.3
Author: <a href="http://onlinesuccesswithchris.com/" target="_blank">Chris Jenkins</a> and <a href="http://monikamorley.com/" target="_blank">Monika Morley</a>
Author URI: http://onlinesuccesswithchris.com/
Description: Create Action Bars on your site in posts, pages, & widgets. Create your Action Bar set with your animation settings then paste the auto generated shortcode wherever you want it. | <a href="../wp-content/plugins/wp-action-bar/support.html" title="Online WP Action Bar User Manual" target="_blank">HTML User Manual</a> | <a href="../wp-content/plugins/wp-action-bar/WP_Action_Bar_User_Manual_v1.8.3.pdf" title="PDF WP Action Bar User Manual" target="_blank">PDF User Manual</a> | <a href="http://pluginsforyou.com/pro/updates/" title="PluginsForYou.com Professional Plugin Updates" target="_blank">Pro Update</a> |
*/

// Define constants
define( 'WP_ABAR_DIR', plugin_dir_url( __FILE__) );
define( 'WP_ABAR_PATH', dirname( __FILE__) );
define( 'WP_ABAR_WP_DIR', get_bloginfo('wpurl') );
define( 'WP_ABAR_PLUGIN_NAME', 'WP Action Bar' );

register_activation_hook( __FILE__, 'wp_abar_activate' );
function wp_abar_activate() {

$wp_abar_options = array(  
  'default_wp_action_bar' =>  '',
  'homepage_wp_action_bar' =>  '',
  'archive_wp_action_bar' =>  '',  
  'appearance' =>  'immediately',
  'delay_time' =>  5,
  'cookie' => 14
  );
  if( !get_option('wp_abar_options') ){
	update_option('wp_abar_options', $wp_abar_options );
  }

}

include('modules/cpt.php');
include('modules/settings.php');
include('modules/meta_box.php');
include('modules/hooks.php');
include('modules/scripts.php');
include('modules/functions.php');
?>